/**
 * LicensedEntityRole2.java
 *
 * File generated from the medication2::LicensedEntityRole2 uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration LicensedEntityRole2.
 *
 * 
 */

@XmlType(name = "LicensedEntityRole")
@XmlEnum
@XmlRootElement(name = "LicensedEntityRole2")
public enum LicensedEntityRole2 {
	@XmlEnumValue("LIC")
	LIC("LIC"),
	@XmlEnumValue("NOT")
	NOT("NOT"),
	@XmlEnumValue("PROV")
	PROV("PROV");
	
	private final String value;

    LicensedEntityRole2(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }
    
    public String getValue() {
        return value;
    }
    
    public static LicensedEntityRole2 fromValue(String v) {
        for (LicensedEntityRole2 c: LicensedEntityRole2.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}
